For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannels

List Channels

GET
https://api.bigcommerce.com/stores/:store_hash/v3/channels
GET
/stores/:store_hash/v3/channels
$curl https://api.bigcommerce.com/stores/store_hash/v3/channels \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 {
4 "id": 1,
5 "name": "Test Store",
6 "external_id": "",
7 "is_listable_from_ui": true,
8 "is_visible": true,
9 "status": "prelaunch",
10 "type": "storefront",
11 "platform": "bigcommerce",
12 "date_created": "2021-05-07T14:54:51Z",
13 "date_modified": "2021-05-07T14:54:51Z",
14 "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/bigcommerce_icon.svg"
15 },
16 {
17 "id": 664179,
18 "name": "Amazon",
19 "external_id": "",
20 "is_listable_from_ui": true,
21 "is_visible": true,
22 "status": "connected",
23 "type": "marketplace",
24 "platform": "amazon",
25 "date_created": "2021-05-10T20:32:40Z",
26 "date_modified": "2021-05-13T14:25:54Z",
27 "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/amazon_icon.svg"
28 },
29 {
30 "id": 667159,
31 "name": "Facebook by Meta",
32 "external_id": "",
33 "is_listable_from_ui": false,
34 "is_visible": true,
35 "status": "connected",
36 "type": "marketplace",
37 "platform": "facebook by meta",
38 "date_created": "2021-05-13T15:41:39Z",
39 "date_modified": "2021-05-13T15:41:39Z",
40 "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/facebook_icon.svg"
41 }
42 ],
43 "meta": {
44 "pagination": {
45 "per_page": 2,
46 "total": 8,
47 "count": 2,
48 "total_pages": 4,
49 "current_page": 2,
50 "links": {
51 "previous": "?page=1&limit=2",
52 "current": "?page=2&limit=2",
53 "next": "?page=3&limit=2"
54 }
55 }
56 }
57}

Returns a list of Channels.

Will always return the default BigCommerce storefront with an ID of 1. This storefront is created by default when you provision a BigCommerce store.

Was this page helpful?
Previous

Channels

Next

Create Channel

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includeenumOptional
Channels subresources that can be included in the response.
Allowed values:
availablebooleanOptional
Filter items based on whether the channel is currently available for integration. Setting this query parameter to `true` will return channels with the status of `prelaunch`, `active` , `inactive`, and `connected`. Setting this query parameter to `false` will return channels with the status of `disconnected`, `archived`, `deleted`, and `terminated`.
status:inlist of enumsOptional

Filter items by a comma-separated list of statuses.

type:inlist of enumsOptional

Filter items by a comma-separated list of types.

Allowed values:
platform:inlist of stringsOptional

Filter items by a comma-separated list of platforms. For a list of supported platforms, see Platform.

date_createdstringOptional

Filter items by date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14.

date_created:minstringOptional

Filter items by minimum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created after this date.

date_created:maxstringOptional

Filter items by maximum date created. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields created before this date.

date_modifiedstringOptional

Filter items by date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14.

date_modified:minstringOptional

Filter items by minimum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified after this date.

date_modified:maxstringOptional

Filter items by maximum date modified. For example, date_created=2024-05-14T09:34:00 or date_created=2024-05-14. Returns metafields modified before this date.

limitintegerOptional
Controls the number of items per page for paginated responses.
pageintegerOptional
Specifies the page number for a paginated response.

Response

datalist of objects
metaobject
Data about the response, including pagination.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.

Filter items based on whether the channel is currently available for integration. Setting this query parameter to true will return channels with the status of prelaunch, active , inactive, and connected. Setting this query parameter to false will return channels with the status of disconnected, archived, deleted, and terminated.